org.keycloak.protocol.oidc

## Class TokenExchangeContext

- java.lang.Object
- - org.keycloak.protocol.oidc.TokenExchangeContext

-     public class TokenExchangeContext
      extends Object

  Token exchange context
  Author:
    Dmitry Telegin

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `TokenExchangeContext.Params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenExchangeContext(KeycloakSession session, javax.ws.rs.core.MultivaluedMap<String,String> formParams, Object cors, RealmModel realm, EventBuilder event, ClientModel client, ClientConnection clientConnection, javax.ws.rs.core.HttpHeaders headers, Object tokenManager, Map<String,String> clientAuthAttributes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientModel` | `getClient()`
    `Map<String,String>` | `getClientAuthAttributes()`
    `ClientConnection` | `getClientConnection()`
    `Object` | `getCors()`
    `EventBuilder` | `getEvent()`
    `javax.ws.rs.core.MultivaluedMap<String,String>` | `getFormParams()`
    `javax.ws.rs.core.HttpHeaders` | `getHeaders()`
    `TokenExchangeContext.Params` | `getParams()`
    `RealmModel` | `getRealm()`
    `KeycloakSession` | `getSession()`
    `Object` | `getTokenManager()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenExchangeContext

          public TokenExchangeContext(KeycloakSession session,
                                      javax.ws.rs.core.MultivaluedMap<String,String> formParams,
                                      Object cors,
                                      RealmModel realm,
                                      EventBuilder event,
                                      ClientModel client,
                                      ClientConnection clientConnection,
                                      javax.ws.rs.core.HttpHeaders headers,
                                      Object tokenManager,
                                      Map<String,String> clientAuthAttributes)

  - ### Method Detail

    - #### getSession

          public KeycloakSession getSession()

    - #### getFormParams

          public javax.ws.rs.core.MultivaluedMap<String,String> getFormParams()

    - #### getCors

          public Object getCors()

    - #### getRealm

          public RealmModel getRealm()

    - #### getClient

          public ClientModel getClient()

    - #### getEvent

          public EventBuilder getEvent()

    - #### getClientConnection

          public ClientConnection getClientConnection()

    - #### getHeaders

          public javax.ws.rs.core.HttpHeaders getHeaders()

    - #### getTokenManager

          public Object getTokenManager()

    - #### getClientAuthAttributes

          public Map<String,String> getClientAuthAttributes()

    - #### getParams

          public TokenExchangeContext.Params getParams()

Copyright © 2021 JBoss by Red Hat. All rights reserved.